test: autobahn: correct configuration

Signed-off-by: Alexey Galakhov <agalakhov@snapview.de>
This commit is contained in:
Alexey Galakhov 2019-05-17 01:51:11 +02:00
parent 758c522b31
commit 4443e910ac
3 changed files with 13 additions and 18 deletions

View File

@ -2,11 +2,11 @@
"outdir": "./autobahn/server",
"servers": [
{
"agent": "rust-websocket",
"agent": "Tungstenite",
"url": "ws://127.0.0.1:9002"
}
],
"cases": ["*"],
"exclude-cases": [],
"exclude-agent-cases": {}
}
}

View File

@ -12,15 +12,13 @@ function cleanup() {
trap cleanup TERM EXIT
function test_diff() {
DIFF=$(diff \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client/index.json') )
if [[ $DIFF ]]; then
if ! diff -q \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client/index.json')
then
echo 'Difference in results, either this is a regression or' \
'one should update autobahn/client-results.json with the new results.' \
'The results are:'
echo $DIFF
exit 64
fi
}
@ -29,6 +27,6 @@ cargo build --release --example autobahn-client
wstest -m fuzzingserver -s 'autobahn/fuzzingserver.json' & FUZZINGSERVER_PID=$!
sleep 3
echo "Server PID: ${WSSERVER_PID}"
echo "Server PID: ${FUZZINGSERVER_PID}"
cargo run --release --example autobahn-client
test_diff

View File

@ -13,21 +13,18 @@ function cleanup() {
trap cleanup TERM EXIT
function test_diff() {
DIFF=$(diff \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/server/index.json') )
if [[ $DIFF ]]; then
if ! diff -q \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/server/index.json')
then
echo Difference in results, either this is a regression or \
one should update autobahn/server-results.json with the new results. \
The results are:
echo $DIFF
one should update autobahn/server-results.json with the new results.
exit 64
fi
}
cargo build --release --example autobahn-server
./target/debug/examples/autobahn-server & WSSERVER_PID=$!
cargo run --release --example autobahn-server & WSSERVER_PID=$!
echo "Server PID: ${WSSERVER_PID}"
sleep 3
wstest -m fuzzingclient -s 'autobahn/fuzzingclient.json'